﻿Imports System.Globalization
Imports System.Threading
Imports System.Windows.Markup

Class Application

    Public Shared ReadOnly Property StartUpPath As String = System.IO.Path.GetDirectoryName(System.Diagnostics.Process.GetCurrentProcess().MainModule.FileName)

    Public Shared ReadOnly Property Vat0 As String = StartUpPath & "\VAT0Whitelist.txt"
    Public Shared ReadOnly Property Vat1 As String = StartUpPath & "\VAT1Whitelist.txt"

    Private Sub Application_Startup(sender As Object, e As StartupEventArgs) Handles Me.Startup
        SetCultureProgramWide(New CultureInfo("de-DE"))
        WritetoDisk()
    End Sub

    Private Sub Application_Exit(sender As Object, e As ExitEventArgs) Handles Me.[Exit]
    End Sub

    Private Sub SetCultureProgramWide(newCulture As CultureInfo)
        Dim currentCulture As CultureInfo = newCulture
        Thread.CurrentThread.CurrentCulture = currentCulture
        Thread.CurrentThread.CurrentUICulture = currentCulture
        CultureInfo.DefaultThreadCurrentCulture = currentCulture
        CultureInfo.DefaultThreadCurrentUICulture = currentCulture
        FrameworkElement.LanguageProperty.OverrideMetadata(GetType(FrameworkElement), New FrameworkPropertyMetadata(XmlLanguage.GetLanguage(CultureInfo.CurrentCulture.IetfLanguageTag)))
    End Sub

    Public Sub WritetoDisk()
        If Not IO.File.Exists(Vat0) Then IO.File.Create(Vat0).Close()
        If Not IO.File.Exists(Vat1) Then IO.File.Create(Vat1).Close()
    End Sub
End Class