﻿Imports System.Globalization

Public Class BooleanToVatTypeStringConverter
    Implements IValueConverter

    Public Function Convert(value As Object, targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IValueConverter.Convert
        If value IsNot Nothing Then

            Dim tempBool As Boolean = DirectCast(value, Boolean)

            If tempBool Then
                Return "with VAT (1)"
            ElseIf Not tempBool Then
                Return "without VAT (0)"
            Else
                Return Nothing
            End If

        Else
            Return Nothing
        End If

    End Function

    Public Function ConvertBack(value As Object, targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
        If value IsNot Nothing Then

            Dim tempBoolString As String = DirectCast(value, String)

            Select Case tempBoolString
                Case "with VAT (1)"
                    Return 1
                Case "without VAT (0)"
                    Return 0
                Case Else
                    Return Nothing

            End Select

        Else
            Return Nothing
        End If

    End Function
End Class